#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <sys/time.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <net/if.h>

struct sockaddr_in sock_addr;
struct sockaddr_in6 sock_addr6;
struct hostent *host_ent;
enum stati { ERR_NICK=0, ERR_SERVER=1, ERR_USER=2, CONNECT=3, NO_ERR=4};
struct li_settings{
 	char nick[10];
 	char user[10];
 	char realname[51];
};

struct li_srvline{
	char nick[12];
	char user[12];
	char net[100];
	char dest[20];
	char msg[1024];
};

char *li_version(void);
int li_socket4(char *hostname, int port);
int li_connect4(char *hostname,int port,struct li_settings settings);
int li_socket6(char *hostname, int port);
int li_connect6(char *hostname,int port,struct li_settings settings);

void li_set_user(int sockfd,char *user, char *realname);
void li_set_nick(int sockfd, char *nick);
char *li_read(int sockfd);
void li_write(int sockfd,char *msg);
void li_pong(int sockfd,char *msg);
void li_getline(char *msg, struct li_srvline *srvline);
int li_join(int sockfd,char *channel,char *key);
int li_part(int sockfd,char *channel);
int li_say(int sockfd,char *dest,char *msg);
